### org.jfree.layouting.renderer.model

# Class NodeLayoutProperties

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.NodeLayoutProperties`

Implemented Interfaces:
  Cloneable, Serializable

`public class NodeLayoutProperties`
`extends java.lang.Object`
`implements Serializable, Cloneable`

A static properties collection. That one is static; once computed it does not change anymore. It does not (under no thinkable circumstances) depend on the given content. It may depend on static content of the parent.

Author:
  Thomas Morgner

  ## Constructor Summary

  `NodeLayoutProperties()`

  ## Method Summary

  `Object`

  `clone()`

  `CSSValue`

  `getAlignmentAdjust()`

  `RenderLength`

  `getAlignmentAdjustResolved()`

  `CSSValue`

  `getAlignmentBaseline()`

  `CSSValue`

  `getBaselineShift()`

  `RenderLength`

  `getBaselineShiftResolved()`

  `int`

  `getMajorAxis()`

  `int`

  `getMinorAxis()`

  `String`

  `getNamespace()`

  `String`

  `getTagName()`

  `CSSValue`

  `getVerticalAlignment()`

  `void`

  `setAlignmentAdjust(CSSValue alignmentAdjust)`

  `void`

  `setAlignmentAdjustResolved(RenderLength alignmentAdjustResolved)`

  `void`

  `setAlignmentBaseline(CSSValue alignmentBaseline)`

  `void`

  `setBaselineShift(CSSValue baselineShift)`

  `void`

  `setBaselineShiftResolved(RenderLength baselineShiftResolved)`

  `void`

  `setMajorAxis(int majorAxis)`

  `void`

  `setMinorAxis(int minorAxis)`

  `void`

  `setNamespace(String namespace)`

  `void`

  `setTagName(String tagName)`

  `void`

  `setVerticalAlignment(CSSValue verticalAlignment)`

## Constructor Details

### NodeLayoutProperties

    public NodeLayoutProperties()

## Method Details

### clone

    public Object clone()
                throws CloneNotSupportedException

### getAlignmentAdjust

    public CSSValue getAlignmentAdjust()

### getAlignmentAdjustResolved

    public RenderLength getAlignmentAdjustResolved()

### getAlignmentBaseline

    public CSSValue getAlignmentBaseline()

### getBaselineShift

    public CSSValue getBaselineShift()

### getBaselineShiftResolved

    public RenderLength getBaselineShiftResolved()

### getMajorAxis

    public int getMajorAxis()

### getMinorAxis

    public int getMinorAxis()

### getNamespace

    public String getNamespace()

### getTagName

    public String getTagName()

### getVerticalAlignment

    public CSSValue getVerticalAlignment()

### setAlignmentAdjust

    public void setAlignmentAdjust(CSSValue alignmentAdjust)

### setAlignmentAdjustResolved

    public void setAlignmentAdjustResolved(RenderLength alignmentAdjustResolved)

### setAlignmentBaseline

    public void setAlignmentBaseline(CSSValue alignmentBaseline)

### setBaselineShift

    public void setBaselineShift(CSSValue baselineShift)

### setBaselineShiftResolved

    public void setBaselineShiftResolved(RenderLength baselineShiftResolved)

### setMajorAxis

    public void setMajorAxis(int majorAxis)

### setMinorAxis

    public void setMinorAxis(int minorAxis)

### setNamespace

    public void setNamespace(String namespace)

### setTagName

    public void setTagName(String tagName)

### setVerticalAlignment

    public void setVerticalAlignment(CSSValue verticalAlignment)